syncpackage picks up too many changelog versions when the target is -proposed

Bug #1069867 reported by Colin Watson on 2012-10-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

== SRU ==

[IMPACT]
Synpackage didn't understand that the proposed pocket was partial archive on top of release, and generated incorrect changelogs.
Syncing to -proposed is now the default, so we should handle it correctly.

[Test Case]
File syncs against an existing package. It should correlctly report the new changelog entries, rather than displaying the entire history.

[Regression Potential]
Fairly simple patch, affecting syncpackage and requestsync.

== Bug Report ==
raring is likely to start requiring that packages be uploaded to -proposed by default. When syncpackage is used with "-r raring-proposed", it picks up far too many changelog versions:

syncpackage: Source abcde -> raring/Proposed: not in Ubuntu, new version 2.5.4-1
syncpackage: New changes:
abcde (2.5.4-1) unstable; urgency=low

  * New upstream release with bug fixes.
    + Update GPL/FSF headers to match current versions. Thanks to vskytta
      for the patch. (Closes issue 69).
    + Fix the command line for ID3SYNTAX=eyed3. Thanks to neil.gm.richards
      for the patch. Closes issue 50.
    + Switch to eyed3 by default for MP3 tagging, as it looks to do UTF-8
      tagging better. Closes issue 22 (hopefully)
  * Remove the "A " from the beginning of the description to fix a
    lintian warning

 -- Steve McIntyre <email address hidden> Tue, 18 Sep 2012 13:22:28 +0100

abcde (2.5.3-1) unstable; urgency=low

  * New upstream release with lots of bug fixes.
[...]

The previous version in raring was 2.5.3-1. syncpackage should look in the release pocket if there isn't anything in proposed.

Changed in ubuntu-dev-tools (Ubuntu):
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.144

---------------
ubuntu-dev-tools (0.144) experimental; urgency=low

  [ Stefano Rivera ]
  * Upload to experimental, due to the freeze
  * submittodebian:
    - Use dpkg-buildpackage instead of debuild. It really doesn't need to run
      lintian twice.
    - Use --include instead of --attach when not using reportbug's internal
      MUA.
  * submittodebian, sponsor-patch:
    - Pass --builder=dpkg-buildpackage to bzr bd, in case the user has
      configured a custom builder that doesn't do source builds (LP: #1019817)
  * seeded-in-ubuntu Inform the user when we couldn't determine binary
    packages built by a source package, as it most recently FTBFS.
  * requestbackport:
    - Avoid duplicate Reverse-Build-Deps when sources build binaries of the
      same name.
    - Explain that backports aren't to fix bugs.
  * sponsor-patch: Don't fall over bugs targetted at the development release
    (LP: #936014)
  * ubuntutools.question: Catch EOF and SIGINT on all input and bail out.
    (LP: #1037488)
  * pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
  * syncpackage, requestsync: Check the Release pocket if we can't find an
    Ubuntu package in the requested pocket. (LP: #1069867)

  [ Benjamin Drung ]
  * seeded-in-ubuntu: State in error message that it takes a source package.
    (LP: #1029155)
  * sponsor-patch: Fix crash if Debian patch contains a slash.

  [ Colin Watson ]
  * syncpackage: Default to <current_series>-proposed.

 -- Stefano Rivera <email address hidden> Mon, 29 Oct 2012 09:02:29 +0100

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
description: updated

Hello Colin, or anyone else affected,

Accepted into quantal-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-dev-tools (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed
Scott Kitterman (kitterman) wrote :

It works, but it's not idea. It's enough of an improvement over the current situation that I've marked this verification-done and filed Bug #1073060.

tags: added: verification-done
removed: verification-needed
Scott Kitterman (kitterman) wrote :

idea/ideal

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.143ubuntu0.1

---------------
ubuntu-dev-tools (0.143ubuntu0.1) quantal-proposed; urgency=low

  * Cherry-pick some important improvements from 0.144:
    - The Proposed pocket is now the target for all uploads:
      + syncpackage: Default to <current_series>-proposed.
      + syncpackage, requestsync: Check the Release pocket if we can't find an
        Ubuntu package in the requested pocket. (LP: #1069867)
    - pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
    - requestbackport: Explain that backports aren't to fix bugs.
    - sponsor-patch: Don't fall over bugs targetted at the development release
      (LP: #936014)
 -- Stefano Rivera <email address hidden> Mon, 29 Oct 2012 16:48:47 +0100

Changed in ubuntu-dev-tools (Ubuntu Quantal):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Hello Colin, or anyone else affected,

Accepted ubuntu-dev-tools into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-dev-tools/0.141ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-dev-tools (Ubuntu Precise):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for precise for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Benjamin Drung (bdrung) wrote :

"syncpackage apt-setup -r raring-proposed --force" shows the correct changelog entries (when installing the package from proposed on precise). Therefore setting verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.141ubuntu0.1

---------------
ubuntu-dev-tools (0.141ubuntu0.1) precise-proposed; urgency=low

  * Cherry-pick some bug fixes from 0.142-0.145:
    - syncpackage: Default to <current_series>-proposed.
    - syncpackage, requestsync: Check the Release pocket if we can't find an
      Ubuntu package in the requested pocket. (LP: #1069867)
    - pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
    - sponsor-patch: Don't fall over bugs targeted at the development release
      (LP: #936014)
    - requestsync: We now sync to proposed (LP: #1073060)
    - syncpackage: syncpackage: Don't throw away release pockets, returning
      correct errors when the source and destination match even though the
      destination release pocket doesn't.
 -- Stefano Rivera <email address hidden> Wed, 07 Nov 2012 23:24:56 +0200

Changed in ubuntu-dev-tools (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers